## org.eclipse.emf.ecore.change.impl
Class ChangePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.ecore.change.impl.ChangePackageImpl

All Implemented Interfaces:
  Notifier, ChangePackage, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class ChangePackageImpl

extends EPackageImpl
implements ChangePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.change.ChangePackage
`ChangePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.change.ChangePackage

`CHANGE_DESCRIPTION, CHANGE_DESCRIPTION__OBJECT_CHANGES, CHANGE_DESCRIPTION__OBJECTS_TO_ATTACH, CHANGE_DESCRIPTION__OBJECTS_TO_DETACH, CHANGE_DESCRIPTION__RESOURCE_CHANGES, CHANGE_DESCRIPTION_FEATURE_COUNT, CHANGE_KIND, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, EOBJECT_TO_CHANGES_MAP_ENTRY, EOBJECT_TO_CHANGES_MAP_ENTRY__KEY, EOBJECT_TO_CHANGES_MAP_ENTRY__VALUE, EOBJECT_TO_CHANGES_MAP_ENTRY_FEATURE_COUNT, FEATURE_CHANGE, FEATURE_CHANGE__DATA_VALUE, FEATURE_CHANGE__FEATURE, FEATURE_CHANGE__FEATURE_NAME, FEATURE_CHANGE__LIST_CHANGES, FEATURE_CHANGE__REFERENCE_VALUE, FEATURE_CHANGE__SET, FEATURE_CHANGE__VALUE, FEATURE_CHANGE_FEATURE_COUNT, FEATURE_MAP_ENTRY, FEATURE_MAP_ENTRY__DATA_VALUE, FEATURE_MAP_ENTRY__FEATURE, FEATURE_MAP_ENTRY__FEATURE_NAME, FEATURE_MAP_ENTRY__REFERENCE_VALUE, FEATURE_MAP_ENTRY__VALUE, FEATURE_MAP_ENTRY_FEATURE_COUNT, LIST_CHANGE, LIST_CHANGE__DATA_VALUES, LIST_CHANGE__FEATURE, LIST_CHANGE__FEATURE_MAP_ENTRY_VALUES, LIST_CHANGE__INDEX, LIST_CHANGE__KIND, LIST_CHANGE__MOVE_TO_INDEX, LIST_CHANGE__REFERENCE_VALUES, LIST_CHANGE__VALUES, LIST_CHANGE_FEATURE_COUNT, RESOURCE_CHANGE, RESOURCE_CHANGE__LIST_CHANGES, RESOURCE_CHANGE__RESOURCE, RESOURCE_CHANGE__RESOURCE_URI, RESOURCE_CHANGE__VALUE, RESOURCE_CHANGE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getChangeDescription_ObjectChanges()`
`EReference` `getChangeDescription_ObjectsToAttach()`
`EReference` `getChangeDescription_ObjectsToDetach()`
`EReference` `getChangeDescription_ResourceChanges()`
`EClass` `getChangeDescription()`
`ChangeFactory` `getChangeFactory()`
`EEnum` `getChangeKind()`
`EReference` `getEObjectToChangesMapEntry_Key()`
`EReference` `getEObjectToChangesMapEntry_Value()`
`EClass` `getEObjectToChangesMapEntry()`
`EAttribute` `getFeatureChange_DataValue()`
`EReference` `getFeatureChange_Feature()`
`EAttribute` `getFeatureChange_FeatureName()`
`EReference` `getFeatureChange_ListChanges()`
`EReference` `getFeatureChange_ReferenceValue()`
`EAttribute` `getFeatureChange_Set()`
`EAttribute` `getFeatureChange_Value()`
`EClass` `getFeatureChange()`
`EAttribute` `getFeatureMapEntry_DataValue()`
`EReference` `getFeatureMapEntry_Feature()`
`EAttribute` `getFeatureMapEntry_FeatureName()`
`EReference` `getFeatureMapEntry_ReferenceValue()`
`EAttribute` `getFeatureMapEntry_Value()`
`EClass` `getFeatureMapEntry()`
`EAttribute` `getListChange_DataValues()`
`EReference` `getListChange_Feature()`
`EReference` `getListChange_FeatureMapEntryValues()`
`EAttribute` `getListChange_Index()`
`EAttribute` `getListChange_Kind()`
`EAttribute` `getListChange_MoveToIndex()`
`EReference` `getListChange_ReferenceValues()`
`EAttribute` `getListChange_Values()`
`EClass` `getListChange()`
`EReference` `getResourceChange_ListChanges()`
`EAttribute` `getResourceChange_Resource()`
`EAttribute` `getResourceChange_ResourceURI()`
`EAttribute` `getResourceChange_Value()`
`EClass` `getResourceChange()`
`static ChangePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static ChangePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `ChangePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getChangeDescription

    public EClass getChangeDescription()

  Specified by:
    `getChangeDescription` in interface `ChangePackage`
  Returns:
    the meta object for class 'Description'.
  See Also:
    `ChangeDescription`

### getChangeDescription_ObjectChanges

    public EReference getChangeDescription_ObjectChanges()

  Specified by:
    `getChangeDescription_ObjectChanges` in interface `ChangePackage`
  Returns:
    the meta object for the map 'Object Changes'.
  See Also:
    `ChangeDescription.getObjectChanges()`, `ChangePackage.getChangeDescription()`

### getChangeDescription_ObjectsToDetach

    public EReference getChangeDescription_ObjectsToDetach()

  Specified by:
    `getChangeDescription_ObjectsToDetach` in interface `ChangePackage`
  Returns:
    the meta object for the reference list 'Objects To Detach'.
  See Also:
    `ChangeDescription.getObjectsToDetach()`, `ChangePackage.getChangeDescription()`

### getChangeDescription_ObjectsToAttach

    public EReference getChangeDescription_ObjectsToAttach()

  Specified by:
    `getChangeDescription_ObjectsToAttach` in interface `ChangePackage`
  Returns:
    the meta object for the containment reference list 'Objects To Attach'.
  See Also:
    `ChangeDescription.getObjectsToAttach()`, `ChangePackage.getChangeDescription()`

### getChangeDescription_ResourceChanges

    public EReference getChangeDescription_ResourceChanges()

  Specified by:
    `getChangeDescription_ResourceChanges` in interface `ChangePackage`
  Returns:
    the meta object for the containment reference list 'Resource Changes'.
  See Also:
    `ChangeDescription.getResourceChanges()`, `ChangePackage.getChangeDescription()`

### getEObjectToChangesMapEntry

    public EClass getEObjectToChangesMapEntry()

  Specified by:
    `getEObjectToChangesMapEntry` in interface `ChangePackage`
  Returns:
    the meta object for class 'EObject To Changes Map Entry'.
  See Also:
    `Map.Entry`

### getEObjectToChangesMapEntry_Key

    public EReference getEObjectToChangesMapEntry_Key()

  Specified by:
    `getEObjectToChangesMapEntry_Key` in interface `ChangePackage`
  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `ChangePackage.getEObjectToChangesMapEntry()`

### getEObjectToChangesMapEntry_Value

    public EReference getEObjectToChangesMapEntry_Value()

  Specified by:
    `getEObjectToChangesMapEntry_Value` in interface `ChangePackage`
  Returns:
    the meta object for the containment reference list 'Value'.
  See Also:
    `Map.Entry`, `ChangePackage.getEObjectToChangesMapEntry()`

### getFeatureChange

    public EClass getFeatureChange()

  Specified by:
    `getFeatureChange` in interface `ChangePackage`
  Returns:
    the meta object for class 'Feature Change'.
  See Also:
    `FeatureChange`

### getFeatureChange_FeatureName

    public EAttribute getFeatureChange_FeatureName()

  Specified by:
    `getFeatureChange_FeatureName` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Feature Name'.
  See Also:
    `FeatureChange.getFeatureName()`, `ChangePackage.getFeatureChange()`

### getFeatureChange_DataValue

    public EAttribute getFeatureChange_DataValue()

  Specified by:
    `getFeatureChange_DataValue` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Data Value'.
  See Also:
    `FeatureChange.getDataValue()`, `ChangePackage.getFeatureChange()`

### getFeatureChange_Set

    public EAttribute getFeatureChange_Set()

  Specified by:
    `getFeatureChange_Set` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Set'.
  See Also:
    `FeatureChange.isSet()`, `ChangePackage.getFeatureChange()`

### getFeatureChange_Value

    public EAttribute getFeatureChange_Value()

  Specified by:
    `getFeatureChange_Value` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `FeatureChange.getValue()`, `ChangePackage.getFeatureChange()`

### getFeatureChange_Feature

    public EReference getFeatureChange_Feature()

  Specified by:
    `getFeatureChange_Feature` in interface `ChangePackage`
  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `FeatureChange.getFeature()`, `ChangePackage.getFeatureChange()`

### getFeatureChange_ReferenceValue

    public EReference getFeatureChange_ReferenceValue()

  Specified by:
    `getFeatureChange_ReferenceValue` in interface `ChangePackage`
  Returns:
    the meta object for the reference 'Reference Value'.
  See Also:
    `FeatureChange.getReferenceValue()`, `ChangePackage.getFeatureChange()`

### getFeatureChange_ListChanges

    public EReference getFeatureChange_ListChanges()

  Specified by:
    `getFeatureChange_ListChanges` in interface `ChangePackage`
  Returns:
    the meta object for the containment reference list 'List Changes'.
  See Also:
    `FeatureChange.getListChanges()`, `ChangePackage.getFeatureChange()`

### getListChange

    public EClass getListChange()

  Specified by:
    `getListChange` in interface `ChangePackage`
  Returns:
    the meta object for class 'List Change'.
  See Also:
    `ListChange`

### getListChange_Kind

    public EAttribute getListChange_Kind()

  Specified by:
    `getListChange_Kind` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `ListChange.getKind()`, `ChangePackage.getListChange()`

### getListChange_DataValues

    public EAttribute getListChange_DataValues()

  Specified by:
    `getListChange_DataValues` in interface `ChangePackage`
  Returns:
    the meta object for the attribute list 'Data Values'.
  See Also:
    `ListChange.getDataValues()`, `ChangePackage.getListChange()`

### getListChange_Index

    public EAttribute getListChange_Index()

  Specified by:
    `getListChange_Index` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Index'.
  See Also:
    `ListChange.getIndex()`, `ChangePackage.getListChange()`

### getListChange_MoveToIndex

    public EAttribute getListChange_MoveToIndex()

  Specified by:
    `getListChange_MoveToIndex` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Move To Index'.
  See Also:
    `ListChange.getMoveToIndex()`, `ChangePackage.getListChange()`

### getListChange_Values

    public EAttribute getListChange_Values()

  Specified by:
    `getListChange_Values` in interface `ChangePackage`
  Returns:
    the meta object for the attribute list 'Values'.
  See Also:
    `ListChange.getValues()`, `ChangePackage.getListChange()`

### getListChange_ReferenceValues

    public EReference getListChange_ReferenceValues()

  Specified by:
    `getListChange_ReferenceValues` in interface `ChangePackage`
  Returns:
    the meta object for the reference list 'Reference Values'.
  See Also:
    `ListChange.getReferenceValues()`, `ChangePackage.getListChange()`

### getListChange_Feature

    public EReference getListChange_Feature()

  Specified by:
    `getListChange_Feature` in interface `ChangePackage`
  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `ListChange.getFeature()`, `ChangePackage.getListChange()`

### getListChange_FeatureMapEntryValues

    public EReference getListChange_FeatureMapEntryValues()

  Specified by:
    `getListChange_FeatureMapEntryValues` in interface `ChangePackage`
  Returns:
    the meta object for the containment reference list 'Feature Map Entry Values'.
  See Also:
    `ListChange.getFeatureMapEntryValues()`, `ChangePackage.getListChange()`

### getResourceChange

    public EClass getResourceChange()

  Specified by:
    `getResourceChange` in interface `ChangePackage`
  Returns:
    the meta object for class 'Resource Change'.
  See Also:
    `ResourceChange`

### getResourceChange_ResourceURI

    public EAttribute getResourceChange_ResourceURI()

  Specified by:
    `getResourceChange_ResourceURI` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Resource URI'.
  See Also:
    `ResourceChange.getResourceURI()`, `ChangePackage.getResourceChange()`

### getResourceChange_Resource

    public EAttribute getResourceChange_Resource()

  Specified by:
    `getResourceChange_Resource` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Resource'.
  See Also:
    `ResourceChange.getResource()`, `ChangePackage.getResourceChange()`

### getResourceChange_Value

    public EAttribute getResourceChange_Value()

  Specified by:
    `getResourceChange_Value` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ResourceChange.getValue()`, `ChangePackage.getResourceChange()`

### getResourceChange_ListChanges

    public EReference getResourceChange_ListChanges()

  Specified by:
    `getResourceChange_ListChanges` in interface `ChangePackage`
  Returns:
    the meta object for the containment reference list 'List Changes'.
  See Also:
    `ResourceChange.getListChanges()`, `ChangePackage.getResourceChange()`

### getFeatureMapEntry

    public EClass getFeatureMapEntry()

  Specified by:
    `getFeatureMapEntry` in interface `ChangePackage`
  Returns:
    the meta object for class 'Feature Map Entry'.
  See Also:
    `FeatureMapEntry`

### getFeatureMapEntry_FeatureName

    public EAttribute getFeatureMapEntry_FeatureName()

  Specified by:
    `getFeatureMapEntry_FeatureName` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Feature Name'.
  See Also:
    `FeatureMapEntry.getFeatureName()`, `ChangePackage.getFeatureMapEntry()`

### getFeatureMapEntry_DataValue

    public EAttribute getFeatureMapEntry_DataValue()

  Specified by:
    `getFeatureMapEntry_DataValue` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Data Value'.
  See Also:
    `FeatureMapEntry.getDataValue()`, `ChangePackage.getFeatureMapEntry()`

### getFeatureMapEntry_Value

    public EAttribute getFeatureMapEntry_Value()

  Specified by:
    `getFeatureMapEntry_Value` in interface `ChangePackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `FeatureMapEntry.getValue()`, `ChangePackage.getFeatureMapEntry()`

### getFeatureMapEntry_Feature

    public EReference getFeatureMapEntry_Feature()

  Specified by:
    `getFeatureMapEntry_Feature` in interface `ChangePackage`
  Returns:
    the meta object for the reference 'Feature'.
  See Also:
    `FeatureMapEntry.getFeature()`, `ChangePackage.getFeatureMapEntry()`

### getFeatureMapEntry_ReferenceValue

    public EReference getFeatureMapEntry_ReferenceValue()

  Specified by:
    `getFeatureMapEntry_ReferenceValue` in interface `ChangePackage`
  Returns:
    the meta object for the reference 'Reference Value'.
  See Also:
    `FeatureMapEntry.getReferenceValue()`, `ChangePackage.getFeatureMapEntry()`

### getChangeKind

    public EEnum getChangeKind()

  Specified by:
    `getChangeKind` in interface `ChangePackage`
  Returns:
    the meta object for enum 'Kind'.
  See Also:
    `ChangeKind`

### getChangeFactory

    public ChangeFactory getChangeFactory()

  Specified by:
    `getChangeFactory` in interface `ChangePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.